Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 1059903002: Allow Alt-Tab to move the focus to docked windows. (Closed)

Created:
5 years, 3 months ago by oshima
Modified:
5 years, 3 months ago
Reviewers:
flackr, varkha
CC:
chromium-reviews, tdanderson+overview_chromium.org, kalyank, sadrul
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Allow Alt-Tab to move the focus to docked windows. BUG=343237 TEST=WindowSelectorTest.BasicWithDocked, plus manual Committed: https://crrev.com/bc374788beea179e18ecdbb190f2099b7494668d Cr-Commit-Position: refs/heads/master@{#324155}

Patch Set 1 #

Total comments: 13

Patch Set 2 : #

Total comments: 4

Patch Set 3 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+72 lines, -87 lines) Patch
M ash/accelerators/accelerator_controller_unittest.cc View 1 chunk +4 lines, -3 lines 0 comments Download
M ash/switchable_windows.cc View 1 1 chunk +1 line, -0 lines 0 comments Download
M ash/wm/overview/window_selector.h View 1 3 chunks +3 lines, -7 lines 0 comments Download
M ash/wm/overview/window_selector.cc View 1 2 6 chunks +12 lines, -52 lines 0 comments Download
M ash/wm/overview/window_selector_controller.cc View 1 1 chunk +7 lines, -2 lines 0 comments Download
M ash/wm/overview/window_selector_unittest.cc View 1 3 chunks +45 lines, -23 lines 0 comments Download

Messages

Total messages: 22 (7 generated)
oshima
https://codereview.chromium.org/1059903002/diff/1/ash/accelerators/accelerator_controller_unittest.cc File ash/accelerators/accelerator_controller_unittest.cc (left): https://codereview.chromium.org/1059903002/diff/1/ash/accelerators/accelerator_controller_unittest.cc#oldcode658 ash/accelerators/accelerator_controller_unittest.cc:658: docked_container->AddChild(window.get()); This was a bug. This doesn't do what ...
5 years, 3 months ago (2015-04-03 23:38:35 UTC) #2
flackr
https://codereview.chromium.org/1059903002/diff/1/ash/switchable_windows.cc File ash/switchable_windows.cc (right): https://codereview.chromium.org/1059903002/diff/1/ash/switchable_windows.cc#newcode16 ash/switchable_windows.cc:16: kShellWindowId_DockedContainer, Lacking MRU information, I believe we arrange window ...
5 years, 3 months ago (2015-04-07 15:08:39 UTC) #3
oshima
https://codereview.chromium.org/1059903002/diff/1/ash/switchable_windows.cc File ash/switchable_windows.cc (right): https://codereview.chromium.org/1059903002/diff/1/ash/switchable_windows.cc#newcode16 ash/switchable_windows.cc:16: kShellWindowId_DockedContainer, On 2015/04/07 15:08:38, flackr wrote: > Lacking MRU ...
5 years, 3 months ago (2015-04-07 18:00:32 UTC) #4
flackr
https://codereview.chromium.org/1059903002/diff/1/ash/wm/overview/window_selector.cc File ash/wm/overview/window_selector.cc (right): https://codereview.chromium.org/1059903002/diff/1/ash/wm/overview/window_selector.cc#newcode580 ash/wm/overview/window_selector.cc:580: !IsSelectable(*iter)) { On 2015/04/07 18:00:32, oshima wrote: > On ...
5 years, 3 months ago (2015-04-07 18:10:33 UTC) #5
oshima
https://codereview.chromium.org/1059903002/diff/1/ash/wm/overview/window_selector.cc File ash/wm/overview/window_selector.cc (right): https://codereview.chromium.org/1059903002/diff/1/ash/wm/overview/window_selector.cc#newcode580 ash/wm/overview/window_selector.cc:580: !IsSelectable(*iter)) { On 2015/04/07 18:00:32, oshima wrote: > On ...
5 years, 3 months ago (2015-04-07 18:20:47 UTC) #6
flackr
https://codereview.chromium.org/1059903002/diff/1/ash/wm/overview/window_selector.cc File ash/wm/overview/window_selector.cc (right): https://codereview.chromium.org/1059903002/diff/1/ash/wm/overview/window_selector.cc#newcode580 ash/wm/overview/window_selector.cc:580: !IsSelectable(*iter)) { On 2015/04/07 18:20:47, oshima wrote: > On ...
5 years, 3 months ago (2015-04-07 18:26:22 UTC) #7
oshima
https://codereview.chromium.org/1059903002/diff/1/ash/wm/overview/window_selector.cc File ash/wm/overview/window_selector.cc (right): https://codereview.chromium.org/1059903002/diff/1/ash/wm/overview/window_selector.cc#newcode580 ash/wm/overview/window_selector.cc:580: !IsSelectable(*iter)) { On 2015/04/07 18:26:22, flackr wrote: > On ...
5 years, 3 months ago (2015-04-07 20:35:29 UTC) #11
flackr
LGTM, thanks for cleaning up the window hiding stuff.
5 years, 3 months ago (2015-04-07 20:46:52 UTC) #12
varkha
https://codereview.chromium.org/1059903002/diff/80001/ash/wm/overview/window_selector.cc File ash/wm/overview/window_selector.cc (right): https://codereview.chromium.org/1059903002/diff/80001/ash/wm/overview/window_selector.cc#newcode223 ash/wm/overview/window_selector.cc:223: state->GetStateType() == wm::WINDOW_STATE_TYPE_DOCKED_MINIMIZED) nit: Multi-line condition needs { https://codereview.chromium.org/1059903002/diff/80001/ash/wm/overview/window_selector.cc#newcode224 ...
5 years, 3 months ago (2015-04-07 21:45:46 UTC) #14
flackr
https://codereview.chromium.org/1059903002/diff/80001/ash/wm/overview/window_selector.cc File ash/wm/overview/window_selector.cc (right): https://codereview.chromium.org/1059903002/diff/80001/ash/wm/overview/window_selector.cc#newcode224 ash/wm/overview/window_selector.cc:224: return false; On 2015/04/07 21:45:45, varkha wrote: > Just ...
5 years, 3 months ago (2015-04-07 21:48:28 UTC) #15
oshima
https://codereview.chromium.org/1059903002/diff/80001/ash/wm/overview/window_selector.cc File ash/wm/overview/window_selector.cc (right): https://codereview.chromium.org/1059903002/diff/80001/ash/wm/overview/window_selector.cc#newcode223 ash/wm/overview/window_selector.cc:223: state->GetStateType() == wm::WINDOW_STATE_TYPE_DOCKED_MINIMIZED) On 2015/04/07 21:45:45, varkha wrote: > ...
5 years, 3 months ago (2015-04-07 22:15:03 UTC) #16
varkha
lgtm
5 years, 3 months ago (2015-04-07 22:18:14 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1059903002/100001
5 years, 3 months ago (2015-04-07 22:21:19 UTC) #20
commit-bot: I haz the power
Committed patchset #3 (id:100001)
5 years, 3 months ago (2015-04-07 23:23:01 UTC) #21
commit-bot: I haz the power
5 years, 3 months ago (2015-04-07 23:24:01 UTC) #22
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/bc374788beea179e18ecdbb190f2099b7494668d
Cr-Commit-Position: refs/heads/master@{#324155}

Powered by Google App Engine
This is Rietveld 408576698